search: List links of a project

API: sonarcloud.io:sonarqube
Endpoint: /api/project_links/search
Response format: application/json
Auth: unknown
Method: GET
Last Status: 400
Latency: 150ms

Description

List links of a project. The 'projectId' or 'projectKey' must be provided. Requires one of the following permissions: - 'Administer' rights on the specified project- 'Browse' on the specified project

Parameters (2)

projectId (string, query, optional)

Project Id

projectKey (string, query, optional)

Project Key

Examples (1)

List links of a project openapi-spec
curl 'https://sonarcloud.io/api/project_links/search?projectId=AU-Tpxb--iU5OvuD2FLy&projectKey=my_project'
import requests

resp = requests.get(
    "https://sonarcloud.io/api/project_links/search",
    params={
        'projectId': 'AU-Tpxb--iU5OvuD2FLy',
        'projectKey': 'my_project',
    },
)
data = resp.json()
import zingu_apis

api = zingu_apis.api("sonarqube")
result = api.fetch("api/project_links/search", projectId="AU-Tpxb--iU5OvuD2FLy", projectKey="my_project")

for item in result:
    print(item)
const resp = await fetch("https://sonarcloud.io/api/project_links/search?projectId=AU-Tpxb--iU5OvuD2FLy&projectKey=my_project");
const data = await resp.json();

Probe History

Latency

Status Codes

TimeStatusLatencySize
2026-04-16 17:35:45.852341 400 150ms
2026-04-16 02:23:45.448589 400 131ms
2026-04-15 03:27:55.954660 400 172ms
2026-04-14 03:48:51.697361 400 184ms
2026-04-12 16:06:54.361430 400 163ms
2026-04-10 03:22:44.912838 400 120ms
2026-04-09 03:33:07.363408 400 140ms